var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx } from "react/jsx-runtime";
/*
This file is part of the Notesnook project (https://notesnook.com/)

Copyright (C) 2023 Streetwriters (Private) Limited

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
import { useLayoutEffect } from "react";
import { SearchReplacePopup } from "../popups/search-replace";
import { ResponsivePresenter } from "../../components/responsive";
import { getToolbarElement } from "../utils/dom";
import { useEditorSearchStore } from "../stores/search-store";
export function SearchReplaceFloatingMenu(props) {
    const { editor } = props;
    const isSearching = useEditorSearchStore((store) => store.isSearching);
    useLayoutEffect(() => {
        const _a = useEditorSearchStore.getState(), { searchTerm } = _a, options = __rest(_a, ["searchTerm"]);
        if (!options.isSearching)
            editor.commands.endSearch();
        else
            editor.commands.search(searchTerm, options);
    }, []);
    return (_jsx(ResponsivePresenter, { mobile: "sheet", desktop: "popup", isOpen: isSearching, onClose: () => editor.commands.endSearch(), position: {
            target: getToolbarElement(),
            isTargetAbsolute: true,
            location: "below",
            align: "end",
            yOffset: 5
        }, blocking: false, focusOnRender: false, draggable: false, children: _jsx(SearchReplacePopup, { editor: editor }) }));
}
